
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ubuntu下vsftpd虚拟用户配置 / 憋错料</title>

    <meta name="description" content="ubuntu下vsftpd虚拟用户配置 以下实验全部在ubuntu server 14.04 X64上进行. 业务要求: 现在要求创建一个FTP账号user1,该账号只能登录到/www目录下,不能切换到上级目录.同时处于安全考虑还要求该账号上传的文件权限为644,即上传的文件具有可读可写权限,但是没有可执行权限. 一:安装vsftpd sudo apt-get -y install vsftpd 查看下vsftpd都安装了那些文件 dpkg -L vsftpd |tac 二:vsftpd配置 1.创建用户,如下: sudo usera">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">ubuntu下vsftpd虚拟用户配置</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>以下实验全部在ubuntu server 14.04 X64上进行。</strong></p>
<p><strong><strong>业务要求:</strong></strong></p>
<p>现在要求创建一个FTP账号user1，该账号只能登录到/www目录下，不能切换到上级目录。同时处于安全考虑还要求该账号上传的文件权限为644，即上传的文件具有可读可写权限，但是没有可执行权限。</p>
<p><strong>一:安装vsftpd</strong></p>
<p><strong>sudo apt-get -y install vsftpd</strong></p>
<p><strong>查看下vsftpd都安装了那些文件</strong></p>
<p><strong>dpkg -L vsftpd |tac</strong></p>
<p><strong>二：<strong>vsftpd配置</strong></strong></p>
<p><strong>1.创建用户，如下：</strong></p>
<p><strong>sudo useradd -m -s /bin/bash ftpuser</strong></p>
<p><strong>注意：创建的用户<strong>ftpuser</strong>现在是无法登录到系统的，因为没有给该用户设置密码。在此，我们也无需<strong>ftpuser</strong>登录到系统，这样相对来说比较安全。</strong></p>
<p><strong>用户创建完毕后，我们来创建对应的目录并修改其所属用户，如下：</strong></p>
<p>sudo mkdir /www</p>
<p>sudo chown -R ftpuser:ftpuser&nbsp;/www/</p>
<p>有关用户相关配置结束后，我们开始设置登录vsftp的用户与密码文件login.txt。如下：</p>
<p>sudo mkdir /etc/vsftpd/</p>
<p>sudo&nbsp;<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=vim&amp;k0=vim&amp;kdi0=0&amp;luki=4&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">vim</a>&nbsp;/etc/vsftpd/login.txt</p>
<p>user1</p>
<p>password1</p>
<p>login.txt设置完毕后，我们要使用db_load进行加密。而db_load需要db-util这个软件。所以需要我们现在安装db-util，如下：</p>
<p>sudo apt-get -y install db-util</p>
<p>db-util安装完毕后，现在开始使用db_load对loginx.txt进行加密。如下：</p>
<p>sudo db_load -T -t hash -f /etc/vsftpd/login.txt /etc/vsftpd/login.db</p>
<p>loginx.txt加密完成后，我们现在开始配置vsftpd的PAM验证。</p>
<p><strong>2. PAM</strong><strong>验证配置</strong></p>
<p>vsftpd的PAM验证，在此我没有使用vsftpd安装时所生成的/etc/pam.d/vsftpd文件。</p>
<p>创建验证文件，如下：</p>
<p>sudo&nbsp;<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=vim&amp;k0=vim&amp;kdi0=0&amp;luki=4&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">vim</a>&nbsp;/etc/pam.d/vsftpd.virtual</p>
<p>auth required pam_userdb.so db=/etc/vsftpd/login</p>
<p>account required pam_userdb.so db=/etc/vsftpd/login</p>
<p>vsftpd.virtual文件的内容，也可以根据OS的版本进行调整。我现在使用的是ubuntu x64，所以也可以填写为：</p>
<p>auth required /lib/x86_64-linux-gnu/security/pam_userdb.so db=/etc/vsftpd/login</p>
<p>account required /lib/x86_64-linux-gnu/security/pam_userdb.so db=/etc/vsftpd/login</p>
<p><strong>3. vsftp</strong><strong>权限配置</strong></p>
<p><strong>根据业务要求vsftpd.conf配置内容如下：</strong></p>
<p><strong>grep -vE "^#|^$" /<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=etc&amp;k0=etc&amp;kdi0=0&amp;luki=5&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">etc</a>/vsftpd.conf</strong></p>
<p>listen=YES</p>
<p>listen_ipv6=NO</p>
<p>anonymous_enable=NO</p>
<p>local_enable=YES</p>
<p>write_enable=YES</p>
<p>local_umask=022</p>
<p>dirmessage_enable=YES</p>
<p>use_localtime=YES</p>
<p>xferlog_enable=YES</p>
<p>connect_from_port_20=YES</p>
<p>xferlog_file=/var/log/vsftpd.log</p>
<p>xferlog_std_format=YES</p>
<p>chroot_local_user=YES</p>
<p>chroot_list_enable=NO</p>
<p>allow_writeable_chroot=YES</p>
<p>secure_chroot_dir=/var/run/vsftpd/empty</p>
<p>pam_service_name=vsftpd</p>
<p>rsa_cert_file=/etc/ssl/certs/ssl-cert-snakeoil.pem</p>
<p>rsa_private_key_file=/etc/ssl/private/ssl-cert-snakeoil.key</p>
<p><a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=ssl&amp;k0=ssl&amp;kdi0=0&amp;luki=3&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">ssl</a>_enable=NO</p>
<p>guest_enable=YES</p>
<p>pam_service_name=vsftpd.virtual</p>
<p>user_config_dir=/<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=etc&amp;k0=etc&amp;kdi0=0&amp;luki=5&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">etc</a>/vsftpd/vu</p>
<p>pasv_enable=YES</p>
<p>pasv_min_port=30000</p>
<p>pasv_max_port=31000</p>
<p>需要添加和默认合并为:</p>
<p>#listen=YES<br />listen_ipv6=NO<br />#anonymous_enable=NO<br />#local_enable=YES<br />write_enable=YES<br />local_umask=022<br />#dirmessage_enable=YES<br />#use_localtime=YES<br />#xferlog_enable=YES<br />#connect_from_port_20=YES<br />xferlog_file=/var/log/vsftpd.log<br />xferlog_std_format=YES<br />chroot_local_user=YES<br />chroot_list_enable=NO<br />allow_writeable_chroot=YES<br />#secure_chroot_dir=/var/run/vsftpd/empty<br />#pam_service_name=vsftpd<br />#rsa_cert_file=/etc/ssl/certs/ssl-cert-snakeoil.pem<br />#rsa_private_key_file=/etc/ssl/private/ssl-cert-snakeoil.key<br />ssl_enable=NO<br />guest_enable=YES<br />pam_service_name=vsftpd.virtual<br />user_config_dir=/etc/vsftpd/vu<br />pasv_enable=YES<br />pasv_min_port=30000<br />pasv_max_port=31000</p>
<p>在以上配置文件中，有几点需要重点指出。</p>
<p>local_enable=YES</p>
<p>write_enable=YES</p>
<p>local_umask=022</p>
<p>这两项是启用系统用户的写权限。特别是write_enable=YES项一定要启用，否则vsftpd虚拟用户将无法登录vsftpd。</p>
<p><strong>为什么会是这样？因为虚拟用户依赖与系统用户。</strong></p>
<p>chroot_local_user=YES</p>
<p>chroot_list_enable=NO</p>
<p>allow_writeable_chroot=YES</p>
<p>这三项是配置vsftpd用户禁止切换上级目录的权限。</p>
<p>guest_enable=YES</p>
<p>pam_service_name=vsftpd.virtual</p>
<p>user_config_dir=/etc/vsftpd/vu</p>
<p>这三项是启用vsftpd虚拟用以及虚拟用户账号配置目录。</p>
<p>pasv_enable=YES</p>
<p>pasv_min_port=30000</p>
<p>pasv_max_port=31000</p>
<p>这三项是启用vsftpd被动模式及相关端口。</p>
<p><strong>3.4&nbsp;</strong><strong>虚拟用户相关配置</strong></p>
<p>vsftpd配置文件修改文件后，现在开始配置虚拟用户的相关权限。如下：</p>
<p>sudo mkdir /etc/vsftpd/vu</p>
<p>sudo&nbsp;<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=vim&amp;k0=vim&amp;kdi0=0&amp;luki=4&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">vim</a>&nbsp;/<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=etc&amp;k0=etc&amp;kdi0=0&amp;luki=5&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">etc</a>/vsftpd/vu/user1</p>
<p>guest_username=ftpuser</p>
<p>local_root=/www/</p>
<p>virtual_use_local_privs=YES</p>
<p>anon_umask=133</p>
<p>以上配置参数，其中guest_username=ftpuser表示的是设置FTP对应的系统用户为ftpuser</p>
<p>local_root=/www/表示使用本地用户登录到ftp时的默认目录。</p>
<p>virtual_use_local_privs=YES虚拟用户和本地用户有相同的权限。</p>
<p>anon_umask表示文件上传的默认掩码。计算方式是777减去anon_umask就是上传文件的权限。在此我们设置的是133，也就是说上传后文件的权限是644。即上传的文件对所属用户来说只有读写权限，没有执行权限。</p>
<p>以上全部配置完毕后，我们来重启vsftpd，如下：</p>
<p>sudo service vsftpd restart</p>
<p><strong>三&nbsp;<strong>IPtables配置</strong></strong></p>
<p>在实际生产环境中，为了安全起见，我们一般是开启防火墙的。</p>
<p>在ubuntu上，我们也可以使用IPtables来进行防护。</p>
<p>IPtables配置如下：</p>
<p>sudo iptables-save &gt;/home/ilanni/iptables.rule</p>
<p>sudo iptables-restore &lt; /home/ilanni/iptables.rule</p>
<p>sudo iptables -nL</p>
<p>sudo&nbsp;<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=vim&amp;k0=vim&amp;kdi0=0&amp;luki=4&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">vim</a>&nbsp;/<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=etc&amp;k0=etc&amp;kdi0=0&amp;luki=5&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">etc</a>/network/interfaces</p>
<p>pre-up iptables-restore &lt; /home/ilanni/iptables.rule</p>
<p>post-down iptables-save &lt; /<a href="http://cpro.baidu.com/cpro/ui/uijs.php?adclass=0&amp;app_id=0&amp;c=news&amp;cf=1001&amp;ch=0&amp;di=128&amp;fv=18&amp;is_app=0&amp;jk=b492d64d6d79cc73&amp;k=home&amp;k0=home&amp;kdi0=0&amp;luki=1&amp;n=10&amp;p=baidu&amp;q=smileking_cpr&amp;rb=0&amp;rs=1&amp;seller_id=1&amp;sid=73cc796d4dd692b4&amp;ssp2=1&amp;stid=0&amp;t=tpclicked3_hc&amp;td=1682280&amp;tu=u1682280&amp;u=http%3A%2F%2Fwww%2Eth7%2Ecn%2Fsystem%2Flin%2F201509%2F129008%2Eshtml&amp;urlid=0" rel="external nofollow noreferrer">home</a>/ilanni/iptables.rule</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 13:35:47 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>ubuntu下vsftpd虚拟用户配置的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6NmlyM.html" rel="bookmark">烂泥：ubuntu下vsftpd虚拟用户配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文由ilanniweb提供友情赞助,首发于烂泥行天下 想要获得更多的文章,可以关注我微信ilanniweb. 以前搭建vsftpd都是在centos下,本以为在ubuntu按照以前的步骤搭建即可.可是实际情况告诉我是,我太想当然了.经过一番的折腾终于把ubuntu下vsftpd虚拟用户的配置搞定了,下面就把我的配置步骤贴出来供得为参考. 一.业务要求 现在要求创建一个FTP账号ailanni,该账号只能登录到/www目录下,不能切换到上级目录.同时处于安全考虑还要求该账号上传的文件权限为644			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyWERe3.html" rel="bookmark">ubuntu server vsftpd 虚拟用户及目录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ubuntu server vsftpd 虚拟用户及目录 一:需求场景: 在ubuntu server上开设一个虚拟网站,在网站目录建立一个ftp目录,允许用户通过ftp上传网站文件到网站目录: 同时,该ftp用户,只能用于ftp操作,不能用于登陆ubuntu server 二:配置 1:先建立虚拟网站: 同样先创建apache2 网站配置文件,然后启用站点: 比如这里我的测试 网站 :www.cocoa.com 内网访问 站点: 网站目录在:/var/www/cocoa/web 在该目录下,建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyBrAj0.html" rel="bookmark">Vsftpd 虚拟用户配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				System:Centos6.7x86_64 Author:miles Date:2015/11/24 shanghai step 1 安装 yum -y install vsftpd db4-utils step 2 创建虚拟用户 vim /opt/loginuser.txt milesaway   milesawaypwd db_load -T -t hash -f /home/loginuser.txt /etc/vsftpd/vsftpd_login.db chmod 600 /etc/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xngxQ4.html" rel="bookmark">Linux下Vsftp虚拟用户配置不同权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RHEL5.5  VSFTP2.0.5虚拟用户配置不同权限 linux下使用vsftp搭建ftp服务器,同时建立虚拟账号,为不同的账号分配不同的权限,以下配置测试通过. 系统版本 2.vsftpd版本 如果在系统安装时没有安装vsftpd服务,则后期可以通过yum进行安装或者使用rpm包.tar包进行手动安装,具体安装过程此处不做详解,安装完成之后,查看vsftpd的服务状态 3.配置vsftpd.conf文件   修改之前备份 修改下面的配置文件    关闭匿名登录 开启ascii上传下载功能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/V02EZRM.html" rel="bookmark">vsftpd虚拟用户配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				listen=YES anonymous_enable=NO local_enable=YES chroot_list_enable=YES ascii_upload_enable=YES ascii_download_enable=YES pam_service_name=vsftpd guest_enable=YES guest_username=ftp user_config_dir=/etc/vsftpd/vuser_conf xferlog_enable=YES xferlog_std			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JKylQM.html" rel="bookmark">Ubuntu下vsftpd安装和配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.安装 sudo apt-get install vsftpd 2.安装后启动,停止,重启命令 sudo service vsftpd start sudo service vsftpd stop sudo service vsftpd restart 3.配置 vi /etc/vsftpd.conf listen = YES   #Run standalone? 启用独立vsftpd服务器,YES表示是 #listen_ipv6=YES #是否监听ipv6默认关闭 anonymous_ena			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/388LOK3.html" rel="bookmark">CentOS6&period;6 Vsftpd虚拟用户配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#安装软件包 yum -y install vsftpd db4* #关闭SELinux vim /etc/sysconfig/selinux SELINUX=permissive #命令行输入,立即生效SELinux配置 getenforce 0 #防火墙允许22号端口 iptables -A INPUT -m state --state NEW -m tcp -p tcp --dport 22 -j ACCEPT #建立虚拟用户登录文件,基数行为用户,偶数行为密码,只能这样写,否则系统不认			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/XMgkD8M.html" rel="bookmark">&lbrack; 总结 &rsqb; vsftpd 虚拟用户配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求:在不更改目录权限的前提下,ftp用户对目录里的文件拥有所有权. [[email protected] ~]# yum install vsftpd -y [[email protected] ~]# cd /etc/vsftpd/ [[email protected] vsftpd]# cp -a vsftpd.conf vsftpd.conf_bak [[email protected] vsftpd]# vim vsftpd.conf # 修改如下参数: anonymous_enabl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWYKdB3.html" rel="bookmark">FTP服务学习笔记之基于MySQL&plus;PAM的vsftpd虚拟用户</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于mysql+PAM的vsftpd虚拟用户配置 一.实验说明 操作系统:Redhat5.8_X64bit 实验平台:VMware Workstation 所需要的软件包:pam_mysql-0.7RC1.tar.gz 二.安装所需要程序 1.事先安装好开发环境和mysql数据库 # yum -y groupinstall &quot;Development Tools&quot; &quot;Development Libraries&quot; #yum -y install mysql-server			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZKB84.html" rel="bookmark" class="title">HTML5 监听移动端浏览器返回键兼容版本</a>
					<div>
						// 往windosw对象中的历史记录注入URL的方法 function addUrl() { var state = { title: &quot;title&quot;, url: &quot;# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM6Wjv0.html" rel="bookmark" class="title">August 16th 2016 Week 34th Tuesday</a>
					<div>
						The worst solitude is to be destitute of sincere friendship. 最大的孤独莫过于没有真诚的友谊. Sometimes we pay the m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAP6v0.html" rel="bookmark" class="title">更改CPU厂商信息</a>
					<div>
						更改第三方手机检测到的CPU厂商型号,在kernel\arch\arm\mach-msm下面对应的Board-*.c文件里更改,比如我们是8226的CPU,就要在Board-8226.c里将DT_MA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZYD9q0.html" rel="bookmark" class="title">HTML 介绍</a>
					<div>
						什么是HTML 首先我们想到你的是网页网站  网页是页面,主页是也是一个页面,例如产品详情  科技分裂  淘宝 就是一个页面 网站称之为站点 网页称之为我们平常一种页面   但是不是HTML   但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QNwDQM.html" rel="bookmark" class="title">php中的实用分页类</a>
					<div>
						&lt;table width=&quot;100%&quot; border=&quot;1&quot; cellpadding=&quot;0&quot; cellspacing=&quot;0& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qoE77M.html" rel="bookmark" class="title">JavaScript中Function和Object的关系</a>
					<div>
						今天,QQ技术讨论群里面有一个人在聊天,说今天面试,面试官问他的第一个问题他就懵逼了,说是Function和Object的关系,或者说他们有什么区别.当时我微微一笑,心想这么简单的问题你都解释不清楚, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NxWb3.html" rel="bookmark" class="title">Spring下面的classpath 和 classpath&ast; 区别的简单讲解</a>
					<div>
						classpath 和 classpath* 区别:classpath:只会到你指定的class路径中查找找文件;classpath*:不仅包含class路径,还包括jar文件中(class路径)进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kD9jj3.html" rel="bookmark" class="title">支付流程安全设计</a>
					<div>
						1.总体流程图 2.流程说明:          由以上流程图可知,整个流程分为:订单生成.支付和后支付验证3个阶段. 2.1.订单生成: 威胁分析:          该阶段最容易犯的错误是根据前端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q8vx23.html" rel="bookmark" class="title">Gearman任务分布系统部署windows平台&lowbar;使用Cygwin</a>
					<div>
						1.下载Cygwin http://www.cygwin.com/ 然后选择 Install from Internet  -&gt; Direct Connection -&gt; 选择第一个网址就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nvyYP0.html" rel="bookmark" class="title">NEON在Android中的使用举例</a>
					<div>
						1.  打开Eclipse,File--&gt;New--&gt;AndroidApplication Project--&gt;Application Name:Hello-Neon, Projec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pzqbJ0.html" rel="bookmark" class="title">window&lowbar;x64微信小程序环境搭建</a>
					<div>
						所需文件地址如下: http://pan.baidu.com/s/1nv0IHhn(ylk7) 1.下载微信开发工具0.7.0_x64 安装完成后,打开程序,进行微信扫码登录 2.下载微信开发工具0. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPpOQM.html" rel="bookmark" class="title">带双反斜杠的Json数据至单反斜杠的Json数据处理</a>
					<div>
						假如你光看标题,你只能哦呵呵了!我也看不懂.还是先描述下问题吧.这里是使用微信接口返回了一些数据.因为该串数据包含html标签所以TX是对该串数据进行了编码的.所有的数据是通过Unicode编码的,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Onen70.html" rel="bookmark" class="title">阿里云部署java web</a>
					<div>
						转载请注明出处http://blog.csdn.net/evankaka 摘要:本文主要讲了如何在阿里云上安装JDK.Tomcat以及其配置过程.最后以一个实例来演示在阿里云上部署Javaweb项目. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLBAA4.html" rel="bookmark" class="title">前端页面&mdash;&mdash;AJAX是个什么样的传输机</a>
					<div>
						前篇文章我们介绍了一下级联查询,可是有时候我们需要在页面和后台或页面与页面之间传值,这样我们就需要用到一个非常重要的技术--AJAX,想必大家都听说过吧,今天我们来介绍一下AJAX,看看它是如何扮演一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mob8wx4.html" rel="bookmark" class="title">货到付款被骗怎么才能把钱追回来</a>
					<div>
						全国免费报警电话17O9-O11O4OO百度推荐Q(1002732496)网警解决投诉.退货.提现.解冻.认证.账户激活.找回密码.解绑.卡单报警电话17O9O11O4OO防止电话诈骗报警请联系QQ: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZnyk3.html" rel="bookmark" class="title">spice for openstack</a>
					<div>
						nova.conf vnc_enabled=False [Spice] agent_enabled=True enabled=True html5proxy_base_url=http://x.x.x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQv2l0.html" rel="bookmark" class="title">mongodb 认证方式&lpar;version&colon;3&period;0&period;4&rpar;</a>
					<div>
						之前一直在本机上跑,前段时间把后台架到云服务器上了,在settings里加上了username和password,希望同步的时候修改一下settings就能在本地测试. 因为云服务器端数据库连接需要验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWdqYm0.html" rel="bookmark" class="title">android sdk content loader 一直显示0&percnt; 问题解决办法</a>
					<div>
						1.首先关闭eclipse.无法关闭则使用进程管理将其kill掉 2.打开本地的用户目录,找到.android 文件夹. 3.删除.android下面的cache文件夹 4.删除.android下面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yprP4.html" rel="bookmark" class="title">ASP&period;net--全局程序文件：Global&period;asax</a>
					<div>
						ASP.NET应用程序只能有一个Global.asax文件,该文件支持许多项. •Application_Start:在应用程序接收到第一个请求时调用,这是在应用程序中给应用程序级的变量赋值或指定对所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41nyYqM.html" rel="bookmark" class="title">redis学习二 排序</a>
					<div>
						文章转载自:http://www.cnblogs.com/redcreen/archive/2011/02/15/1955226.html redis支持对list,set和sorted set元素的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
